<?xml version="1.0" encoding="UTF-8"?>
<!--Taxonomy Linkbase File created by Certent CDM HD version: 22.4.1-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#StatementOfFinancialPositionOrderOfLiquidity" roleURI="http://www.telenor.com/2022-12-31/xbrl/role/StatementOfFinancialPositionOrderOfLiquidity" xlink:type="simple"></link:roleRef>
  <link:roleRef xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#ias_1_role-310000_extended" roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-310000_extended" xlink:type="simple"></link:roleRef>
  <link:roleRef xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#ias_1_role-420000_extended" roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-420000_extended" xlink:type="simple"></link:roleRef>
  <link:roleRef xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#ias_1_role-610000_extended" roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-610000_extended" xlink:type="simple"></link:roleRef>
  <link:roleRef xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#StatementOfCashFlowsIndirectMethod" roleURI="http://www.telenor.com/2022-12-31/xbrl/role/StatementOfCashFlowsIndirectMethod" xlink:type="simple"></link:roleRef>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.telenor.com/2022-12-31/xbrl/role/StatementOfFinancialPositionOrderOfLiquidity">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets" xlink:label="loc_ifrs-full_Assets_0"></link:loc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="loc_ifrs-full_NoncurrentAssets_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="1.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_0" xlink:to="loc_ifrs-full_NoncurrentAssets_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="loc_ifrs-full_CurrentAssets_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="2.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_0" xlink:to="loc_ifrs-full_CurrentAssets_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="loc_ifrs-full_EquityAndLiabilities_0"></link:loc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity" xlink:label="loc_ifrs-full_Equity_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="3.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_0" xlink:to="loc_ifrs-full_Equity_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="loc_ifrs-full_NoncurrentLiabilities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="4.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_0" xlink:to="loc_ifrs-full_NoncurrentLiabilities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="loc_ifrs-full_CurrentLiabilities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="5.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_0" xlink:to="loc_ifrs-full_CurrentLiabilities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="loc_ifrs-full_DeferredTaxAssets_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="6.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_0" xlink:to="loc_ifrs-full_DeferredTaxAssets_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Goodwill" xlink:label="loc_ifrs-full_Goodwill_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="7.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_0" xlink:to="loc_ifrs-full_Goodwill_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="8.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_0" xlink:to="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RightofuseAssets" xlink:label="loc_ifrs-full_RightofuseAssets_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="9.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_0" xlink:to="loc_ifrs-full_RightofuseAssets_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="10.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_0" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod" xlink:label="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="11.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_0" xlink:to="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_ContractCostsAndPrepaidCosts" xlink:label="loc_TEL_ContractCostsAndPrepaidCosts_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="12.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_0" xlink:to="loc_TEL_ContractCostsAndPrepaidCosts_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialAssets_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="13.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_0" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialAssets_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:label="loc_ifrs-full_CurrentTaxAssetsCurrent_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="14.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_0" xlink:to="loc_ifrs-full_CurrentTaxAssetsCurrent_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Inventories" xlink:label="loc_ifrs-full_Inventories_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="15.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_0" xlink:to="loc_ifrs-full_Inventories_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="loc_ifrs-full_TradeAndOtherCurrentReceivables_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="16.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_0" xlink:to="loc_ifrs-full_TradeAndOtherCurrentReceivables_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCurrentFinancialAssets" xlink:label="loc_ifrs-full_OtherCurrentFinancialAssets_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="17.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_0" xlink:to="loc_ifrs-full_OtherCurrentFinancialAssets_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:label="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="18.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_0" xlink:to="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_CashAndCashEquivalentsSum" xlink:label="loc_TEL_CashAndCashEquivalentsSum_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="19.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_0" xlink:to="loc_TEL_CashAndCashEquivalentsSum_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="20.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_0" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:label="loc_ifrs-full_NoncontrollingInterests_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="21.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_0" xlink:to="loc_ifrs-full_NoncontrollingInterests_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="22.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_0" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Noncurrentinterestbearingliabilities" xlink:label="loc_TEL_Noncurrentinterestbearingliabilities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="23.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_0" xlink:to="loc_TEL_Noncurrentinterestbearingliabilities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Noncurrentnoninterestbearingliabilities" xlink:label="loc_TEL_Noncurrentnoninterestbearingliabilities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="24.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_0" xlink:to="loc_TEL_Noncurrentnoninterestbearingliabilities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="loc_ifrs-full_DeferredTaxLiabilities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="25.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_0" xlink:to="loc_ifrs-full_DeferredTaxLiabilities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits" xlink:label="loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="26.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_0" xlink:to="loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherLongtermProvisions" xlink:label="loc_ifrs-full_OtherLongtermProvisions_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="27.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_0" xlink:to="loc_ifrs-full_OtherLongtermProvisions_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="28.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_0" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Currentinterestbearingliabilities" xlink:label="loc_TEL_Currentinterestbearingliabilities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="29.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_0" xlink:to="loc_TEL_Currentinterestbearingliabilities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="30.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_0" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="31.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_0" xlink:to="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Currentnoninterestbearingliabilities" xlink:label="loc_TEL_Currentnoninterestbearingliabilities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="32.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_0" xlink:to="loc_TEL_Currentnoninterestbearingliabilities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherShorttermProvisions" xlink:label="loc_ifrs-full_OtherShorttermProvisions_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="33.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_0" xlink:to="loc_ifrs-full_OtherShorttermProvisions_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:label="loc_ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="34.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_0" xlink:to="loc_ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale_0"></link:calculationArc>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-310000_extended">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss_0"></link:loc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="loc_ifrs-full_ProfitLossFromContinuingOperations_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="1.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_0" xlink:to="loc_ifrs-full_ProfitLossFromContinuingOperations_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromDiscontinuedOperations" xlink:label="loc_ifrs-full_ProfitLossFromDiscontinuedOperations_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="2.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_0" xlink:to="loc_ifrs-full_ProfitLossFromDiscontinuedOperations_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="3.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromContinuingOperations_0" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="4.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromContinuingOperations_0" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="5.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_0" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_ShareOfNetIncomeLossFromAssociatedCompaniesAndJointVentures" xlink:label="loc_TEL_ShareOfNetIncomeLossFromAssociatedCompaniesAndJointVentures_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="6.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_0" xlink:to="loc_TEL_ShareOfNetIncomeLossFromAssociatedCompaniesAndJointVentures_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Gainslossesondisposalassociatedcompaniesjointventures" xlink:label="loc_TEL_Gainslossesondisposalassociatedcompaniesjointventures_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="7.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_0" xlink:to="loc_TEL_Gainslossesondisposalassociatedcompaniesjointventures_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="loc_ifrs-full_FinanceIncomeCost_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="8.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_0" xlink:to="loc_ifrs-full_FinanceIncomeCost_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_BasicEarningsLossPerShare" xlink:label="loc_ifrs-full_BasicEarningsLossPerShare_0"></link:loc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_BasicEarningsLossPerShareFromContinuingOperations" xlink:label="loc_ifrs-full_BasicEarningsLossPerShareFromContinuingOperations_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="9.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_BasicEarningsLossPerShare_0" xlink:to="loc_ifrs-full_BasicEarningsLossPerShareFromContinuingOperations_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_BasicEarningsLossPerShareFromDiscontinuedOperations" xlink:label="loc_ifrs-full_BasicEarningsLossPerShareFromDiscontinuedOperations_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="10.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_BasicEarningsLossPerShare_0" xlink:to="loc_ifrs-full_BasicEarningsLossPerShareFromDiscontinuedOperations_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Ebitda" xlink:label="loc_TEL_Ebitda_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="11.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_0" xlink:to="loc_TEL_Ebitda_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="loc_ifrs-full_DepreciationAndAmortisationExpense_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="12.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_0" xlink:to="loc_ifrs-full_DepreciationAndAmortisationExpense_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ImpairmentLossRecognisedInProfitOrLoss" xlink:label="loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLoss_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="13.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_0" xlink:to="loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLoss_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss" xlink:label="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="14.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_0" xlink:to="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_OtherChanges" xlink:label="loc_TEL_OtherChanges_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="15.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_0" xlink:to="loc_TEL_OtherChanges_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_FinanceIncomeOther" xlink:label="loc_TEL_FinanceIncomeOther_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="16.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_0" xlink:to="loc_TEL_FinanceIncomeOther_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_FinancialExpenses" xlink:label="loc_TEL_FinancialExpenses_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="17.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_0" xlink:to="loc_TEL_FinancialExpenses_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Revenue" xlink:label="loc_ifrs-full_Revenue_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="18.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_TEL_Ebitda_0" xlink:to="loc_ifrs-full_Revenue_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="loc_ifrs-full_EmployeeBenefitsExpense_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="19.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_TEL_Ebitda_0" xlink:to="loc_ifrs-full_EmployeeBenefitsExpense_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherExpenseByNature" xlink:label="loc_ifrs-full_OtherExpenseByNature_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="20.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_TEL_Ebitda_0" xlink:to="loc_ifrs-full_OtherExpenseByNature_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherIncome" xlink:label="loc_ifrs-full_OtherIncome_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="21.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_TEL_Ebitda_0" xlink:to="loc_ifrs-full_OtherIncome_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_MiscellaneousOtherOperatingExpense" xlink:label="loc_ifrs-full_MiscellaneousOtherOperatingExpense_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="22.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_TEL_Ebitda_0" xlink:to="loc_ifrs-full_MiscellaneousOtherOperatingExpense_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_CostOfMaterialsAndTrafficCharges" xlink:label="loc_TEL_CostOfMaterialsAndTrafficCharges_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="23.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_TEL_Ebitda_0" xlink:to="loc_TEL_CostOfMaterialsAndTrafficCharges_0"></link:calculationArc>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-420000_extended">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome_0"></link:loc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss_1"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="1.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" xlink:to="loc_ifrs-full_ProfitLoss_1"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="2.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="3.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_0" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="4.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_0" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" xlink:label="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="5.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_0" xlink:to="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatementOnPartialDisposal" xlink:label="loc_TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatementOnPartialDisposal_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="6.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_0" xlink:to="loc_TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatementOnPartialDisposal_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax" xlink:label="loc_ifrs-full_GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="7.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_0" xlink:to="loc_ifrs-full_GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome" xlink:label="loc_ifrs-full_IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="8.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_0" xlink:to="loc_ifrs-full_IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatement" xlink:label="loc_TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatement_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="9.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_0" xlink:to="loc_TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatement_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_NetShareOfOtherComprehensiveIncomeLossOfAssociatedCompaniesAndJointVentures" xlink:label="loc_TEL_NetShareOfOtherComprehensiveIncomeLossOfAssociatedCompaniesAndJointVentures_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="10.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_0" xlink:to="loc_TEL_NetShareOfOtherComprehensiveIncomeLossOfAssociatedCompaniesAndJointVentures_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Amountreclassifiedfromothercomprehensiveincometoincomestatementondisposal" xlink:label="loc_TEL_Amountreclassifiedfromothercomprehensiveincometoincomestatementondisposal_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="11.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_0" xlink:to="loc_TEL_Amountreclassifiedfromothercomprehensiveincometoincomestatementondisposal_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_NetGainLossOnEquityInvestments" xlink:label="loc_TEL_NetGainLossOnEquityInvestments_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="12.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_0" xlink:to="loc_TEL_NetGainLossOnEquityInvestments_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="13.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_0" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome" xlink:label="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="14.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_0" xlink:to="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_0"></link:calculationArc>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-610000_extended">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome_1"></link:loc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss_2"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="1.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_1" xlink:to="loc_ifrs-full_ProfitLoss_2"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_1"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="2.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_1" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_1"></link:calculationArc>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.telenor.com/2022-12-31/xbrl/role/StatementOfCashFlowsIndirectMethod">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0"></link:loc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:label="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="1.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xlink:to="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="2.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="3.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="4.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_TotalProfitBeforeTaxes" xlink:label="loc_TEL_TotalProfitBeforeTaxes_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="5.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:to="loc_TEL_TotalProfitBeforeTaxes_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="6.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:to="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherAdjustmentsForNoncashItems" xlink:label="loc_ifrs-full_OtherAdjustmentsForNoncashItems_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="7.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:to="loc_ifrs-full_OtherAdjustmentsForNoncashItems_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="8.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsReceivedClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_DividendsReceivedClassifiedAsOperatingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="9.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:to="loc_ifrs-full_DividendsReceivedClassifiedAsOperatingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForFinanceIncomeCost" xlink:label="loc_ifrs-full_AdjustmentsForFinanceIncomeCost_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="10.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:to="loc_ifrs-full_AdjustmentsForFinanceIncomeCost_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:label="loc_ifrs-full_IncreaseDecreaseInWorkingCapital_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="11.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:to="loc_ifrs-full_IncreaseDecreaseInWorkingCapital_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:label="loc_ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="12.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:to="loc_ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="13.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:to="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="14.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherAdjustmentsToReconcileProfitLoss" xlink:label="loc_ifrs-full_OtherAdjustmentsToReconcileProfitLoss_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="15.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:to="loc_ifrs-full_OtherAdjustmentsToReconcileProfitLoss_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Netsharenetincomelossgainslossesondisposalassociatedcompaniesandandjointventures" xlink:label="loc_TEL_Netsharenetincomelossgainslossesondisposalassociatedcompaniesandandjointventures_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="16.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xlink:to="loc_TEL_Netsharenetincomelossgainslossesondisposalassociatedcompaniesandandjointventures_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_ProceedsFromSaleOfPropertyPlantAndEquipmentIntangibleAssetsAndRightOfUseAssets" xlink:label="loc_TEL_ProceedsFromSaleOfPropertyPlantAndEquipmentIntangibleAssetsAndRightOfUseAssets_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="17.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" xlink:to="loc_TEL_ProceedsFromSaleOfPropertyPlantAndEquipmentIntangibleAssetsAndRightOfUseAssets_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_PurchasesOfPropertyPlantAndEquipmentIntangibleAssetsAndPrepaymentsForRightOfUseAssets" xlink:label="loc_TEL_PurchasesOfPropertyPlantAndEquipmentIntangibleAssetsAndPrepaymentsForRightOfUseAssets_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="18.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" xlink:to="loc_TEL_PurchasesOfPropertyPlantAndEquipmentIntangibleAssetsAndPrepaymentsForRightOfUseAssets_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="19.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" xlink:to="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="20.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" xlink:to="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Proceedsfromsaleofotherinvestments" xlink:label="loc_TEL_Proceedsfromsaleofotherinvestments_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="21.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" xlink:to="loc_TEL_Proceedsfromsaleofotherinvestments_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Purchasesofotherinvestments" xlink:label="loc_TEL_Purchasesofotherinvestments_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="22.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" xlink:to="loc_TEL_Purchasesofotherinvestments_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="23.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="24.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Netpaymentsrelatedtosupplychainfinancing" xlink:label="loc_TEL_Netpaymentsrelatedtosupplychainfinancing_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="25.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" xlink:to="loc_TEL_Netpaymentsrelatedtosupplychainfinancing_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfTreasuryShares" xlink:label="loc_ifrs-full_PurchaseOfTreasuryShares_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="26.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" xlink:to="loc_ifrs-full_PurchaseOfTreasuryShares_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="27.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" xlink:to="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="28.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" xlink:to="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_PaymentsOfLeaseLiabilitiesRelatedToSpectrumLicences" xlink:label="loc_TEL_PaymentsOfLeaseLiabilitiesRelatedToSpectrumLicences_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="29.0" use="optional" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" xlink:to="loc_TEL_PaymentsOfLeaseLiabilitiesRelatedToSpectrumLicences_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_PaymentsOfLeaseLiabilitiesRelatedToOtherLeaseContracts" xlink:label="loc_TEL_PaymentsOfLeaseLiabilitiesRelatedToOtherLeaseContracts_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="30.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" xlink:to="loc_TEL_PaymentsOfLeaseLiabilitiesRelatedToOtherLeaseContracts_0"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_1"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="31.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_TEL_TotalProfitBeforeTaxes_0" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_1"></link:calculationArc>
    <link:loc xlink:type="locator" xlink:href="549300IM1QSBY4SLPM26-2022-12-31.xsd#TEL_Profitlossbeforetaxesfromdiscontinuedoperations" xlink:label="loc_TEL_Profitlossbeforetaxesfromdiscontinuedoperations_0"></link:loc>
    <link:calculationArc xlink:type="arc" priority="0" order="32.0" use="optional" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_TEL_TotalProfitBeforeTaxes_0" xlink:to="loc_TEL_Profitlossbeforetaxesfromdiscontinuedoperations_0"></link:calculationArc>
  </link:calculationLink>
</link:linkbase>